some polygons not labelled when layer's simplification is on

2014-02-27 01:20 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee: Alvaro Huarte

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18240

Description

When simplification is activated for a given layer, labels might not be rendered for all of the layer's polygons. I'm attaching a simple

shapefile that shows this issue.

Steps to reproduce:

1. Create an empty project and insert the province_2014 shapefile (polygon)

2. Make sure simplification is active for the added polygon layer

3. Open the labelling property window, and set the label to show PROV_NAME string column, and apply the settings

4. You'll notice three polygons (bottom left) are not labelled, for no visible reasons as the labels would not collide (see attached

missing_labels.png)

5. Open the layer's property window, deactivate simplification, and apply; the missing labels will appear.

Alvaro, this might be a duplicate of issue #9655. If so, feel free to close this issue as duplicate of #9655.

Related issues:

Related to QGIS Application - Bug report # 9655: Strange behavior of labeling... Closed 2014-02-25

Duplicated by QGIS Application - Bug report # 9672: Failed to open Python con... Closed 2014-02-26

History

#1 - 2014-03-01 08:27 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#2 - 2014-03-02 10:02 PM - Alvaro Huarte

Hi Mathieu, I think this pull fixes the bug:

https://github.com/qgis/QGIS/pull/1219

#3 - 2014-03-02 10:10 PM - Mathieu Pellerin - nIRV

Alvaro, great, will verify when the pull is committed to qgis master.

This should definitively be backported to a 2.2.X release, I've already heard users over in Cambodia complaining about mysterious label going missing. It's

a known limitation that historically the QGIS PAL engine didn't put label on invalid geometry. But in this case, the users don't know simplification results in

invalid geomtry, making it very hard to diagnose (i.e. running a ftool geometry validity run on layer won't reveal how simplification invalidates it).

#4 - 2014-03-08 03:12 PM - Larry Shaffer

- Resolution set to fixed/implemented

- Status changed from Open to Closed
https://github.com/qgis/QGIS/pull/1219


- Category set to Labelling

Hi Mathieu,

Should be fixed with commit commit:245422a. Tested here on Mac OS X 10.7.5 and 10.9.2 with your test data. If not please reopen issue.

Files

provinces_2014.zip 1.13 MB 2014-02-27 Mathieu Pellerin - nIRV

missing_labels.png 234 KB 2014-02-27 Mathieu Pellerin - nIRV
